---
title: OES_vertex_array_object.bindVertexArrayOES()
slug: Web/API/OES_vertex_array_object/bindVertexArrayOES
tags:
  - API
  - Method
  - Reference
  - VAO
  - WebGL
  - WebGL extension
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>OES_vertex_array_object.bindVertexArrayOES()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> binds a passed {{domxref("WebGLVertexArrayObject")}} object to the buffer.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>ext</var>.bindVertexArrayOES(<var>arrayObject</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>arrayObject</dt>
 <dd>A {{domxref("WebGLVertexArrayObject")}} (VAO) object to bind.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var ext = gl.getExtension('OES_vertex_array_object');
var vao = ext.createVertexArrayOES();
ext.bindVertexArrayOES(vao);

// ...
// calls to bindBuffer or vertexAttribPointer
// which will be "recorded" in the VAO
// ...
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('OES_vertex_array_object', '', 'OES_vertex_array_object')}}</td>
   <td>{{Spec2('OES_vertex_array_object')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.OES_vertex_array_object.bindVertexArrayOES")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getExtension()")}}</li>
 <li>{{domxref("WebGLRenderingContext.vertexAttribPointer()")}}</li>
 <li>WebGL2 equivalent: {{domxref("WebGL2RenderingContext.bindVertexArray()")}}</li>
</ul>
